summaryrefslogtreecommitdiffstats
path: root/sysprep/test-virt-sysprep.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-03-31 11:44:00 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-03-31 22:55:33 +0100
commit026f616650c41e42b7c3058a8637fe2d76bfb793 (patch)
tree393c64eba82644adc919809fc68bd662dcde884d /sysprep/test-virt-sysprep.sh
parentd00596dfbb386333c06744a20c514c0ccc8f2367 (diff)
downloadlibguestfs-026f616650c41e42b7c3058a8637fe2d76bfb793.tar.gz
libguestfs-026f616650c41e42b7c3058a8637fe2d76bfb793.tar.xz
libguestfs-026f616650c41e42b7c3058a8637fe2d76bfb793.zip
Rewrite virt-sysprep.
Diffstat (limited to 'sysprep/test-virt-sysprep.sh')
-rwxr-xr-xsysprep/test-virt-sysprep.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/sysprep/test-virt-sysprep.sh b/sysprep/test-virt-sysprep.sh
new file mode 100755
index 00000000..9b800542
--- /dev/null
+++ b/sysprep/test-virt-sysprep.sh
@@ -0,0 +1,33 @@
+#!/bin/bash -
+# libguestfs virt-sysprep test script
+# Copyright (C) 2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+export LANG=C
+set -e
+
+if [ ! -w /dev/fuse ]; then
+ echo "SKIPPING virt-sysprep test, because there is no /dev/fuse."
+ exit 0
+fi
+
+rm -f test.img
+
+qemu-img create -f qcow2 -o backing_file=../tests/guests/fedora.img test.img
+
+./virt-sysprep -a test.img
+
+rm -f test.img